Bug 57959 - Report wizard not functional; error message "no valid template found"
Summary: Report wizard not functional; error message "no valid template found"
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha1
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-06 20:51 UTC by Jos Visser
Modified: 2012-12-11 19:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
backtrace on 64bit Linux master (53.54 KB, text/plain)
2012-12-07 10:08 UTC, Alex Thurgood
Details
console logs (16.26 KB, text/plain)
2012-12-07 19:48 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jos Visser 2012-12-06 20:51:58 UTC
Unable to produce reports in Librebase ver 4.0.0.0.alpha1 on Ubuntu Quantal. 
Click on 'use wizard to create report' and the response is 'No valid report template was found.' Please refer to Launchpad bug no 779798 which is a replica of the current situation. The report designer does not function either.  The previous bug (779798) might have been fixed in Oneiric, but it is back alive and well.
Comment 1 Alex Thurgood 2012-12-07 09:43:22 UTC
On my 64bit master build :

Version 4.1.0.0.alpha0+ (Build ID: abb1e3352b21d26e2ea00f504162540daa7d69f)

I can start the wizard, so can not confirm the behaviour you report.


However, the wizard crashes before completion of the report. Will try and get a trace and open a separate report.


Alex
Comment 2 Alex Thurgood 2012-12-07 10:06:26 UTC
Hmm, enclosing trace here, because it SIGSEVs right at the beginning of the wizard, and it may just be my debug build that enables it to try and recover, but as it keeps on SIGSEVing forever, I had to kill it within gdb.

Confirming.


Alex
Comment 3 Alex Thurgood 2012-12-07 10:08:14 UTC
Created attachment 71121 [details]
backtrace on 64bit Linux master
Comment 4 Alex Thurgood 2012-12-07 10:10:38 UTC
Changing importance, as this is a regression and setting as blocker.


Alex
Comment 5 Alex Thurgood 2012-12-07 10:11:32 UTC
@julien, lionel : care to take a look ?
Comment 6 Alex Thurgood 2012-12-07 10:17:51 UTC
Hmm, have a very similar looking SIGSEV backtrace when I just try and use the Report Designer directly, without going through the wizard, so will change title again.


Alex
Comment 7 Alex Thurgood 2012-12-07 10:22:52 UTC
#27 0x00007fffbf5b7532 in dbaui::ODatasourceConnector::connect (this=0x7fffffffbc10,
    _xDataSource=
    uno::Reference to {<com::sun::star::uno::XInterface> = {_vptr.XInterface = 0x7fffca52ae60}, <No data fields>}, _pErrorInfo=0x0)
    at /home/alex/Development/libo/core/dbaccess/source/ui/misc/datasourceconnector.cxx:149
#28 0x00007fffbf5b8f0e in dbaui::ODatasourceConnector::connect (this=0x7fffffffbc10,
    _rDataSourceName=..., _pErrorInfo=0x0)
    at /home/alex/Development/libo/core/dbaccess/source/ui/misc/datasourceconnector.cxx:98
#29 0x00007fffbf4ca8ec in dbaui::OGenericUnoController::connect (this=0x7fffd4d2b910,
    _rDataSourceName="file:///media/sda5/alex/Ubuntu%20One/LOStuff/Tests/DB/Timbabase.odb",
    _rContextInformation="The connection to the data source \"Timbabase\" could not be established.", _pErrorInfo=0x0)


so why does LO think that the connection can not be established, and then go on to ignore that message (which isn't displayed to the user, by the way), and load the corresponding ODB file ?


Alex
Comment 8 Lionel Elie Mamane 2012-12-07 10:28:53 UTC
SIGSEGV in java code are not necessarily a problem (when run under GDB).

What happens is that the process/thread gets SIGSEGV, the JVM catches that and raises exception NullPointerException. The Java code can then cleanly catch the exception, handle the error condition and continue with no problem.

You have to wait until it actually crashes :)

When running LibreOffice under GDB with some Java thread, I do:

  handle SIGSEGV pass noprint nostop

to stop gdb from giving me many false positives (false alarm).

It it hits a problematic (e.g. in C++ code) SIGSEGV / uncaught Java NullPointerException, it will abort and gdb should still cache that. Else, the JVM creates a file with a backtrace that can give hints.

It is useful when hunting for such problems to run libreoffice with --norestore, so that the abort happens sooner.
Comment 9 Alex Thurgood 2012-12-07 10:32:58 UTC
Ah ok, good one to know for future reference :)

so, off to hunt some more :-)

Alex
Comment 10 Lionel Elie Mamane 2012-12-07 10:46:30 UTC
(In reply to comment #7)
> #29 0x00007fffbf4ca8ec in dbaui::OGenericUnoController::connect
> (this=0x7fffd4d2b910,
>    
> _rDataSourceName="file:///media/sda5/alex/Ubuntu%20One/LOStuff/Tests/DB/
> Timbabase.odb",
>     _rContextInformation="The connection to the data source \"Timbabase\"
> could not be established.", _pErrorInfo=0x0)

> so why does LO think that the connection can not be established, and then go
> on to ignore that message, and load the corresponding ODB file ?

That's just the error message that would be shown if the operation would fail; it has not failed yet.

See datasourceconnector.cxx line 193:


                SQLException aError;
                aError.Message = m_sContextInformation;
                aError.NextException = aInfo.get();

                aInfo = aError;


and then:


                showError( aInfo, m_pErrorMessageParent, m_xContext );
Comment 11 Alex Thurgood 2012-12-07 10:47:09 UTC
Ok, so the way I did this :

1) Open the Timbabase.odb example from 

https://bugs.freedesktop.org/attachment.cgi?id=63257

2) Click on the Report button and choose the Report Designer Wizard to create a new report.

3) Select all fields.

4) Group by date

5) No additional sort criteria

6) Click on Next or Finish : crash


Alex
Comment 12 Alex Thurgood 2012-12-07 10:48:16 UTC
(In reply to comment #10)


> That's just the error message that would be shown if the operation would
> fail; it has not failed yet.
> 
> See datasourceconnector.cxx line 193:
> 
> 
>                 SQLException aError;
>                 aError.Message = m_sContextInformation;
>                 aError.NextException = aInfo.get();
> 
>                 aInfo = aError;
> 
> 
> and then:
> 
> 
>                 showError( aInfo, m_pErrorMessageParent, m_xContext );

Well I've got a long way to go (and learn) before I'll ever be competent in C++

:-/

Alex
Comment 13 Alex Thurgood 2012-12-07 10:50:44 UTC
Actually, it doesn't crash, but freezes, I can't seem to recover it even in gdb. The output as I click on the Next/Finish button is :

Dec 07, 2012 11:42:20 AM org.pentaho.reporting.libraries.base.boot.AbstractBoot start
INFO: LibSerializer 1.1.6.10682 started.
Dec 07, 2012 11:42:20 AM org.pentaho.reporting.libraries.base.boot.AbstractBoot start
INFO: LibBase 1.1.6.10682 started.
Dec 07, 2012 11:42:20 AM org.pentaho.reporting.libraries.base.boot.AbstractBoot start
INFO: LibLoader 1.1.6.10682 started.
Dec 07, 2012 11:42:20 AM org.pentaho.reporting.libraries.base.boot.AbstractBoot start
INFO: LibRepository 1.1.6.10682 started.
Dec 07, 2012 11:42:20 AM org.pentaho.reporting.libraries.base.boot.AbstractBoot start
INFO: LibFonts 1.1.6.10682 started.
Dec 07, 2012 11:42:21 AM org.pentaho.reporting.libraries.base.boot.AbstractBoot start
INFO: LibLayout null started.
Dec 07, 2012 11:42:21 AM org.pentaho.reporting.libraries.base.boot.AbstractBoot start
INFO: LibFormula 1.1.7.10682 started.
Dec 07, 2012 11:42:21 AM org.pentaho.reporting.libraries.base.boot.AbstractBoot start
INFO: LibXML 1.1.7.10682 started.
Dec 07, 2012 11:42:21 AM org.pentaho.reporting.libraries.base.boot.PackageManager loadModule
WARNING: Exception while loading module: org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo={ModuleClass=org.jfree.report.modules.gui.swing.common.SwingCommonModule}
java.lang.NullPointerException
        at org.pentaho.reporting.libraries.base.boot.PackageManager.containsModule(PackageManager.java:369)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.loadModule(PackageManager.java:436)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.addModule(PackageManager.java:330)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.load(PackageManager.java:199)
        at org.jfree.report.JFreeReportBoot.performBoot(Unknown Source)
        at org.pentaho.reporting.libraries.base.boot.AbstractBoot.start(AbstractBoot.java:197)
        at com.sun.star.report.pentaho.PentahoReportEngine.<init>(PentahoReportEngine.java:36)
        at com.sun.star.report.pentaho.SOReportJobFactory$_SOReportJobFactory.createReportJob(SOReportJobFactory.java:319)
        at com.sun.star.report.pentaho.SOReportJobFactory$_SOReportJobFactory.execute(SOReportJobFactory.java:213)
        at com.sun.star.bridges.jni_uno.JNI_proxy.dispatch_call(Native Method)
        at com.sun.star.bridges.jni_uno.JNI_proxy.invoke(JNI_proxy.java:183)
        at $Proxy90.execute(Unknown Source)
        at com.sun.star.wizards.reportbuilder.ReportBuilderImplementation.store(ReportBuilderImplementation.java:266)
        at com.sun.star.wizards.report.ReportFinalizer.finish(ReportFinalizer.java:267)
        at com.sun.star.wizards.report.ReportWizard.finishWizard(ReportWizard.java:356)
        at com.sun.star.wizards.ui.WizardDialog.finishWizard_1(WizardDialog.java:687)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:601)
        at com.sun.star.wizards.ui.event.MethodInvocation.invoke(MethodInvocation.java:76)
        at com.sun.star.wizards.ui.event.AbstractListener.invoke(AbstractListener.java:80)
        at com.sun.star.wizards.ui.event.CommonListener.actionPerformed(CommonListener.java:36)
        at com.sun.star.bridges.jni_uno.JNI_proxy.dispatch_call(Native Method)
        at com.sun.star.bridges.jni_uno.JNI_proxy.invoke(JNI_proxy.java:183)
        at $Proxy71.execute(Unknown Source)
        at com.sun.star.wizards.ui.UnoDialog.executeDialog(UnoDialog.java:698)
        at com.sun.star.wizards.report.ReportWizard.startReportWizard(ReportWizard.java:493)
        at com.sun.star.wizards.report.CallReportWizard$ReportWizardImplementation.trigger(CallReportWizard.java:90)

Dec 07, 2012 11:42:21 AM org.pentaho.reporting.libraries.base.boot.PackageManager loadModule
WARNING: Exception while loading module: org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo={ModuleClass=org.jfree.report.modules.gui.swing.html.SwingHtmlModule}
java.lang.NullPointerException
        at org.pentaho.reporting.libraries.base.boot.PackageManager.containsModule(PackageManager.java:369)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.loadModule(PackageManager.java:436)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.addModule(PackageManager.java:330)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.load(PackageManager.java:199)
        at org.jfree.report.JFreeReportBoot.performBoot(Unknown Source)
        at org.pentaho.reporting.libraries.base.boot.AbstractBoot.start(AbstractBoot.java:197)
        at com.sun.star.report.pentaho.PentahoReportEngine.<init>(PentahoReportEngine.java:36)
        at com.sun.star.report.pentaho.SOReportJobFactory$_SOReportJobFactory.createReportJob(SOReportJobFactory.java:319)
        at com.sun.star.report.pentaho.SOReportJobFactory$_SOReportJobFactory.execute(SOReportJobFactory.java:213)
        at com.sun.star.bridges.jni_uno.JNI_proxy.dispatch_call(Native Method)
        at com.sun.star.bridges.jni_uno.JNI_proxy.invoke(JNI_proxy.java:183)
        at $Proxy90.execute(Unknown Source)
        at com.sun.star.wizards.reportbuilder.ReportBuilderImplementation.store(ReportBuilderImplementation.java:266)
        at com.sun.star.wizards.report.ReportFinalizer.finish(ReportFinalizer.java:267)
        at com.sun.star.wizards.report.ReportWizard.finishWizard(ReportWizard.java:356)
        at com.sun.star.wizards.ui.WizardDialog.finishWizard_1(WizardDialog.java:687)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:601)
        at com.sun.star.wizards.ui.event.MethodInvocation.invoke(MethodInvocation.java:76)
        at com.sun.star.wizards.ui.event.AbstractListener.invoke(AbstractListener.java:80)
        at com.sun.star.wizards.ui.event.CommonListener.actionPerformed(CommonListener.java:36)
        at com.sun.star.bridges.jni_uno.JNI_proxy.dispatch_call(Native Method)
        at com.sun.star.bridges.jni_uno.JNI_proxy.invoke(JNI_proxy.java:183)
        at $Proxy71.execute(Unknown Source)
        at com.sun.star.wizards.ui.UnoDialog.executeDialog(UnoDialog.java:698)
        at com.sun.star.wizards.report.ReportWizard.startReportWizard(ReportWizard.java:493)
        at com.sun.star.wizards.report.CallReportWizard$ReportWizardImplementation.trigger(CallReportWizard.java:90)

Dec 07, 2012 11:42:21 AM org.pentaho.reporting.libraries.base.boot.PackageManager loadModule
WARNING: Exception while loading module: org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo={ModuleClass=org.jfree.report.modules.gui.swing.pdf.SwingPdfModule}
java.lang.NullPointerException
        at org.pentaho.reporting.libraries.base.boot.PackageManager.containsModule(PackageManager.java:369)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.loadModule(PackageManager.java:436)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.addModule(PackageManager.java:330)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.load(PackageManager.java:199)
        at org.jfree.report.JFreeReportBoot.performBoot(Unknown Source)
        at org.pentaho.reporting.libraries.base.boot.AbstractBoot.start(AbstractBoot.java:197)
        at com.sun.star.report.pentaho.PentahoReportEngine.<init>(PentahoReportEngine.java:36)
        at com.sun.star.report.pentaho.SOReportJobFactory$_SOReportJobFactory.createReportJob(SOReportJobFactory.java:319)
        at com.sun.star.report.pentaho.SOReportJobFactory$_SOReportJobFactory.execute(SOReportJobFactory.java:213)
        at com.sun.star.bridges.jni_uno.JNI_proxy.dispatch_call(Native Method)
        at com.sun.star.bridges.jni_uno.JNI_proxy.invoke(JNI_proxy.java:183)
        at $Proxy90.execute(Unknown Source)
        at com.sun.star.wizards.reportbuilder.ReportBuilderImplementation.store(ReportBuilderImplementation.java:266)
        at com.sun.star.wizards.report.ReportFinalizer.finish(ReportFinalizer.java:267)
        at com.sun.star.wizards.report.ReportWizard.finishWizard(ReportWizard.java:356)
        at com.sun.star.wizards.ui.WizardDialog.finishWizard_1(WizardDialog.java:687)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:601)
        at com.sun.star.wizards.ui.event.MethodInvocation.invoke(MethodInvocation.java:76)
        at com.sun.star.wizards.ui.event.AbstractListener.invoke(AbstractListener.java:80)
        at com.sun.star.wizards.ui.event.CommonListener.actionPerformed(CommonListener.java:36)
        at com.sun.star.bridges.jni_uno.JNI_proxy.dispatch_call(Native Method)
        at com.sun.star.bridges.jni_uno.JNI_proxy.invoke(JNI_proxy.java:183)
        at $Proxy71.execute(Unknown Source)
        at com.sun.star.wizards.ui.UnoDialog.executeDialog(UnoDialog.java:698)
        at com.sun.star.wizards.report.ReportWizard.startReportWizard(ReportWizard.java:493)
        at com.sun.star.wizards.report.CallReportWizard$ReportWizardImplementation.trigger(CallReportWizard.java:90)

Dec 07, 2012 11:42:21 AM org.pentaho.reporting.libraries.base.boot.PackageManager loadModule
WARNING: Exception while loading module: org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo={ModuleClass=org.jfree.report.modules.gui.swing.preview.SwingPreviewModule}
java.lang.NullPointerException
        at org.pentaho.reporting.libraries.base.boot.PackageManager.containsModule(PackageManager.java:369)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.loadModule(PackageManager.java:436)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.addModule(PackageManager.java:330)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.load(PackageManager.java:199)
        at org.jfree.report.JFreeReportBoot.performBoot(Unknown Source)
        at org.pentaho.reporting.libraries.base.boot.AbstractBoot.start(AbstractBoot.java:197)
        at com.sun.star.report.pentaho.PentahoReportEngine.<init>(PentahoReportEngine.java:36)
        at com.sun.star.report.pentaho.SOReportJobFactory$_SOReportJobFactory.createReportJob(SOReportJobFactory.java:319)
        at com.sun.star.report.pentaho.SOReportJobFactory$_SOReportJobFactory.execute(SOReportJobFactory.java:213)
        at com.sun.star.bridges.jni_uno.JNI_proxy.dispatch_call(Native Method)
        at com.sun.star.bridges.jni_uno.JNI_proxy.invoke(JNI_proxy.java:183)
        at $Proxy90.execute(Unknown Source)
        at com.sun.star.wizards.reportbuilder.ReportBuilderImplementation.store(ReportBuilderImplementation.java:266)
        at com.sun.star.wizards.report.ReportFinalizer.finish(ReportFinalizer.java:267)
        at com.sun.star.wizards.report.ReportWizard.finishWizard(ReportWizard.java:356)
        at com.sun.star.wizards.ui.WizardDialog.finishWizard_1(WizardDialog.java:687)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:601)
        at com.sun.star.wizards.ui.event.MethodInvocation.invoke(MethodInvocation.java:76)
        at com.sun.star.wizards.ui.event.AbstractListener.invoke(AbstractListener.java:80)
        at com.sun.star.wizards.ui.event.CommonListener.actionPerformed(CommonListener.java:36)
        at com.sun.star.bridges.jni_uno.JNI_proxy.dispatch_call(Native Method)
        at com.sun.star.bridges.jni_uno.JNI_proxy.invoke(JNI_proxy.java:183)
        at $Proxy71.execute(Unknown Source)
        at com.sun.star.wizards.ui.UnoDialog.executeDialog(UnoDialog.java:698)
        at com.sun.star.wizards.report.ReportWizard.startReportWizard(ReportWizard.java:493)
        at com.sun.star.wizards.report.CallReportWizard$ReportWizardImplementation.trigger(CallReportWizard.java:90)

Dec 07, 2012 11:42:21 AM org.pentaho.reporting.libraries.base.boot.PackageManager loadModule
WARNING: Exception while loading module: org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo={ModuleClass=org.jfree.report.modules.gui.swing.printing.SwingPrintingModule}
java.lang.NullPointerException
        at org.pentaho.reporting.libraries.base.boot.PackageManager.containsModule(PackageManager.java:369)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.loadModule(PackageManager.java:436)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.addModule(PackageManager.java:330)
        at org.pentaho.reporting.libraries.base.boot.PackageManager.load(PackageManager.java:199)
        at org.jfree.report.JFreeReportBoot.performBoot(Unknown Source)
        at org.pentaho.reporting.libraries.base.boot.AbstractBoot.start(AbstractBoot.java:197)
        at com.sun.star.report.pentaho.PentahoReportEngine.<init>(PentahoReportEngine.java:36)
        at com.sun.star.report.pentaho.SOReportJobFactory$_SOReportJobFactory.createReportJob(SOReportJobFactory.java:319)
        at com.sun.star.report.pentaho.SOReportJobFactory$_SOReportJobFactory.execute(SOReportJobFactory.java:213)
        at com.sun.star.bridges.jni_uno.JNI_proxy.dispatch_call(Native Method)
        at com.sun.star.bridges.jni_uno.JNI_proxy.invoke(JNI_proxy.java:183)
        at $Proxy90.execute(Unknown Source)
        at com.sun.star.wizards.reportbuilder.ReportBuilderImplementation.store(ReportBuilderImplementation.java:266)
        at com.sun.star.wizards.report.ReportFinalizer.finish(ReportFinalizer.java:267)
        at com.sun.star.wizards.report.ReportWizard.finishWizard(ReportWizard.java:356)
        at com.sun.star.wizards.ui.WizardDialog.finishWizard_1(WizardDialog.java:687)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:601)
        at com.sun.star.wizards.ui.event.MethodInvocation.invoke(MethodInvocation.java:76)
        at com.sun.star.wizards.ui.event.AbstractListener.invoke(AbstractListener.java:80)
        at com.sun.star.wizards.ui.event.CommonListener.actionPerformed(CommonListener.java:36)
        at com.sun.star.bridges.jni_uno.JNI_proxy.dispatch_call(Native Method)
        at com.sun.star.bridges.jni_uno.JNI_proxy.invoke(JNI_proxy.java:183)
        at $Proxy71.execute(Unknown Source)
        at com.sun.star.wizards.ui.UnoDialog.executeDialog(UnoDialog.java:698)
        at com.sun.star.wizards.report.ReportWizard.startReportWizard(ReportWizard.java:493)
        at com.sun.star.wizards.report.CallReportWizard$ReportWizardImplementation.trigger(CallReportWizard.java:90)

Dec 07, 2012 11:42:21 AM org.pentaho.reporting.libraries.base.boot.AbstractBoot start
INFO: Pentaho Reporting Flow-Engine null started.
[New Thread 0x7fff8b224700 (LWP 15054)]
[Thread 0x7fff8b224700 (LWP 15054) exited]
Comment 14 Alex Thurgood 2012-12-07 11:07:58 UTC
So, I end up in some kind of libpthread wait condition from which I don't seem to be able to recover.

Pressing Ctrl-Q returns me to gdb, where i can get a trace (same as the one I already posted), and then back into a pthread conditional wait loop.


Alex
Comment 15 Julien Nabet 2012-12-07 19:48:55 UTC
Created attachment 71151 [details]
console logs

On pc Debian x86-64 with master sources updated today (commit 08d2a6532ece404f12dd5dbc84f0d6122db5abd) , I reproduced this.

I attached logs, perhaps there are some interesting lines after Pentaho stuff.
Comment 16 Julien Nabet 2012-12-07 20:02:26 UTC
With 3.6 sources updated some days ago (commit b8a3c7d71255adc58cb254fca180ca374ae4b516), I reproduce this too!
I've got these too on console:
warn:legacy.tools:443:1:/home/julien/compile-libreoffice/libo_3_6/toolkit/source/awt/vclxtoolkit.cxx:1120: createWindow: Unknown Component!
warn:legacy.tools:443:1:/home/julien/compile-libreoffice/libo_3_6/toolkit/source/awt/vclxtoolkit.cxx:1120: createWindow: Unknown Component!
warn:legacy.tools:443:1:/home/julien/compile-libreoffice/libo_3_6/toolkit/source/awt/vclxtoolkit.cxx:1120: createWindow: Unknown Component!
warn:legacy.tools:443:1:/home/julien/compile-libreoffice/libo_3_6/toolkit/source/awt/vclxtoolkit.cxx:1120: createWindow: Unknown Component!

But not this kind:
warn:legacy.osl:32565:1:/home/julien/compile-libreoffice/libo/connectivity/source/parse/PColumn.cxx:219: dbaccess::OOrderColumn::OOrderColumn: forced originating table name != underlying column table name
Comment 17 Robert Großkopf 2012-12-08 10:07:48 UTC
I have tested it with OpenSUSE 64bit and 32bit, LO Version 4.0.0.0.beta1. No problems to create a report by the wizard and no problems to execute a report.

@ https://bugs.freedesktop.org/show_bug.cgi?id=57959#c11 :
If you use the database "timbabase.odb" and execute the report you have connected to another problem: too much rows and a terrible slow database, which should be fixed in the newer versions of LO.

We shouldn't set this bug to highest importance and a blocker. For databases I would only choose this, if the whole data of a database could be deleted - with a report you couldn't delete the data of the database.

Please test this with LO Version 4.0.0.0.beta1.
Comment 18 Jos Visser 2012-12-09 06:20:20 UTC
As a newbie I am not sure what the latest comment means ("We shouldn't set this bug to highest importance and a blocker. For databases I would only choose this, if the whole data of a database could be deleted") Does this mean that 'we should not spend too much time or effort on this', or 'this is not really a bug' or 'people could get along as is' etc
If this is true, my very humble answer would be : What good is a database that can not produce reports? Absolutely useless. This bug has never been fixed since at least Ubuntu 12.04 or LO 3.5.  Consequently Librebase should not be on Ubuntu at all.  Librebase is not an advert for Ubuntu or Libreoffice.
By the way, my system is 32bit
Comment 19 Lionel Elie Mamane 2012-12-09 09:53:15 UTC
(In reply to comment #18)
> As a newbie I am not sure what the latest comment means ("We shouldn't set
> this bug to highest importance and a blocker.)

It means "it should not keep the release of whole LibreOffice 4.0.0 from happening on Week 6, Feb 4 - Feb 10, 2013 (if it is not fixed by then), which is the fixed date for that release".

I'm not sure I agree.

> Does this mean that 'we should not spend too much time or effort on this',

No, not much to do with amount of effort to spend.

> 'this is not really a bug'

No.

> 'people could get along as is' etc

No. It means "not big enough of a problem to make the release late and keep users of other modules from having all the goodyness in 4.0.0".

You also have to realise that this is the commenter's opinion, not the project's official decision.

> If this is true, my very humble answer would be : What good is a database
> that can not produce reports? Absolutely useless.

Nolo contendere on *my* side (but again, just my opinion).

> This bug has never been fixed since at least Ubuntu 12.04 or LO 3.5.

It is not known to us that this bug is in LibreOffice 3.5.x, for any value of x, as this bug has been reported against 4.0.0.alpha. Have you reproduced it in LO 3.5.x? Please give detailed reproduction instructions, exact version, etc.

On the other hand, if this bug is there since the days of 3.5.x and nobody complained up to now, I cannot justify to the whole project that it should block 4.0.0, since we already have TWO major releases with that bug in it!

> Consequently Librebase should not be on Ubuntu at all.

We have no control over what is or is not in Ubuntu.
Comment 20 Robert Großkopf 2012-12-09 10:49:48 UTC
(In reply to comment #18)
> As a newbie I am not sure what the latest comment means ("We shouldn't set
> this bug to highest importance and a blocker. For databases I would only
> choose this, if the whole data of a database could be deleted") Does this
> mean that 'we should not spend too much time or effort on this', or 'this is
> not really a bug' or 'people could get along as is' etc

As Lionel explained: It's a bug, when report-designer doesn't work. But it isn't a blocker for the whole LO. You don't have values above 'Importance' "highest",  "blocker". There was, for example, a bug in LO 3.6.0. When I closed a database in a special configuration of Linux-rpm and opened it again all data were lost - tables, queries, forms and reports. How would you call this, when a non-working-reportbuilder is "highest" and "blocker".

This bug was reported for 4.0.0.0.alpha1. Seems to be a special bug for Linux with deb-packages.
There is no other open bug-report for "report-builder doesn't work". Where is reported, that it wouldn't work since LO 3.5?
Comment 21 Lionel Elie Mamane 2012-12-09 15:13:24 UTC
Cannot reproduce on Version 4.0.0.0.alpha1+ (Build ID: 82949bd170719fcdfaff4a53809551ceb5136da) on Debian GNU/Linux amd64.
Comment 22 Lionel Elie Mamane 2012-12-09 15:26:29 UTC
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/779798 was about a packaging bug (where only part of the wizard was installed, or different parts with mismatched versions), that is something that is not under control (or the fault of) LibreOffice itself, but the way it is packaged.

Since this bug has not been reproduced (Alex and Julien were hitting other problems or non-problems), please give us more information, such as for example which packages you installed. Some made and distributed by Ubuntu? Our own packages downloaded from http://www.libreoffice.org/download/pre-releases/ ?
Comment 23 Alex Thurgood 2012-12-09 21:21:40 UTC
Indeed, I can not reproduce with build id :

Version 4.1.0.0.alpha0+ (Build ID: 6858182d246f21c5b06af09d8ff0e6fd04ef26c)


I can now create Reports successfully with the wizard on Linux 32bit.


Alex
Comment 24 Alex Thurgood 2012-12-09 21:26:37 UTC
Removed regression keyword pending further input from Jos and lowering importance/blocker status for the same reason, until it can be confirmed or denied.

At the moment, 3 of us can't reproduce, so as Lionel has stated, we need more info.

Alex
Comment 25 Jos Visser 2012-12-10 06:14:27 UTC
Thanks guys for the information - you are light-years in front of me. My apologies should I have offended anyone. Hope you understand my frustration. As an accounting pro I switched from Windows to Ubuntu at my retirement, got involved with community welfare projects, and happily used Gnucash where I saved the data in a MySQL database and from there used Librebase to design my own reports as Gnucash reports are poor and do not provide for yearly comparisons. Until Ubuntu 12.04 came !!!!!! (My Ubuntu system is updated (and upgraded) daily) Since then I have not been able to use Librebase at all and had to switch back to Windows.  Launchpad bug no 992232 gives a fair account of the problem which has been with us ever since.  I have again repeated the steps in comment no 48 this morning with the same sad result. Please also note that all the installations of Ubuntu (12.04 and 12,10) I have done with a clean install.  I have noted this morning that the pre-releases PPA (see comment 48) only installs the alpha1 version and not the beta version someone mentioned. I am not sure what other information I can give you. Ubuntu Quantal on a 32bit machine. Regards
Comment 26 Jos Visser 2012-12-10 06:34:00 UTC
The pre-releases PPA mentioned in my previous comment only installs version 4.0.0.0 alpha1.  I do not know how to install and/or find version 4.1.0.0.alpha0+ Alex mentioned, or the beta version. Thanks
Comment 27 Alex Thurgood 2012-12-10 09:50:02 UTC
@Jos : from my own experience with the PPAs, I can say that they often contain some rather unfortunate packaging bugs, where the user can end up with things not working as they ought to if you just downloaded the daily release builds from the official LO site. Of course, it does mean that you don't get the system integration that you are supposed to get with the Ubuntu PPAs, but I've not found that to be a problem.

As for the version numbers I've given, they are from my own builds of the master source repository, which I build on a 32bit Linux (KDE or Pear) and a 64bit Linux (Bodhi 2.0) as and when I have time (and the build actually completes, which is not always at the moment, depending on the switches you choose at build time). All of these distros rely on the basic Ubuntu repositories for the developer software needed to build LO, so it is something you could do yourself if you wanted to, it just takes quite a lot of time, and the occasional sense of frustration when the build fails for some seemingly trivial change from one day to the next. 

Alex
Comment 28 Lionel Elie Mamane 2012-12-10 11:13:28 UTC
You are having a problem that is specific to some packages for Ubuntu of LibreOffice. As these packages are not created by the LibreOffice project, and the problems you encounter doesn't come from our code, but from changes done by the packagers, or how the code is packaged, it is out of our control and there is nothing we can do about it. You need to talk to the supplier of the packages.

If you wish to use directly the packages created by the LibreOffice project, they can be found on:

 - latest stable release versions: http://www.libreoffice.org/download/
   (click on "Change System, Version or Language" for other versions, e.g.
    the last 3.5.x line "minor update" version)

   See http://www.libreoffice.org/download/release-policy/ for an
   explanation about that.

 - pre-release versions: http://www.libreoffice.org/download/pre-releases/

(There are also daily developer snapshots meant for the brave early testers and contributors, but I assume that this is not what you want.)

These packages might not be as tightly integrated in your general OS as the OS-provided packages, but they are straight from the LibreOffice project without any alteration. We are usually responsible for any problem in them :)


As to non-LibreOffice project repackagings of the LibreOffice application:

Launchpad bug no 992232 is about the fact that report builder is REMOVED from the Ubuntu packages of LibreOffice. That's Ubuntu's decision, for their own internal reasons that the LibreOffice project cannot directly control. You need to take that up with Ubuntu themselves.

As to the "pre-release PPA", you need to speak to the people that did it; if it is Ubuntu/Canonical then them, if it is a third-party contributor then that contributor.
Comment 29 Lionel Elie Mamane 2012-12-10 11:16:01 UTC
For LibreOffice-provided packages, see http://www.libreoffice.org/get-help/installation/linux/, section "Installation of LibreOffice on Debian/Ubuntu-based Linux systems" for instructions on how to install them.
Comment 30 Jos Visser 2012-12-11 19:52:20 UTC
Thanks Lionel. I followed your advice and all written instructions, purged the Ubuntu version and installed your 3.6.4 and ..........Voila !!! I may come back to Libreoffice one day.
But I smell a rat here. Surely an ordinary opensource user like myself who does not care about builds, coding, versions, packages etc, should be defended against this type of software corruption. I wasted days on end to get my data from one database to the other.  Surely Libreoffice should do or say something to Ubuntu about this corruption of Libreoffice software. Launchpad bug 779798 proves that the voice of users is ignored. Regards